/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_LABEL_TYPE') 
 CREATE TABLE T_TCTB_LABEL_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_LABEL_TYPE_L') 
 CREATE TABLE T_TCTB_LABEL_TYPE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_ORG_VIEW') 
create table T_TCTB_ORG_VIEW (
   FID                  bigint        default 0        not null ,
   FNUMBER              varchar(100)  default ''        not null,
   FNAME                varchar(100)  default ''       not null ,
   FCREATERID           bigint        default 0       not null ,
   FMODIFIERID          bigint        default 0       not null ,
   FMODIFYTIME          datetime             null,
   FCREATETIME          datetime             null
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_ORG_VIEW_DETAIL') 
create table T_TCTB_ORG_VIEW_DETAIL (
   FID                  bigint     default 0          not null ,
   FENTRYID             bigint     default 0         not null ,
   FSEQ                 bigint     default 0         not null ,
   FORG                 bigint     default 0         not null ,
   FPARENTID            varchar(100) default ''        not null ,
   FLONGNUMBER          varchar(600)  default ''       not null ,
   FLEVEL               bigint         default 0       not null
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_LABEL_INFO') 
 CREATE TABLE T_TCTB_LABEL_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FDESCRIBE VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCTB_LABEL_INFO_L') 
 CREATE TABLE T_TCTB_LABEL_INFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCTB_table.sql **/
